Bug Hunting Session
Bug 120475 - Persona categories are not actual categories
Summary: Persona categories are not actual categories
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2018-10-10 07:12 UTC by Muhammet Kara
Modified: 2018-10-23 10:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammet Kara 2018-10-10 07:12:13 UTC
Persona categories represented with the six buttons on the Select Firefox Theme dialog (Options > Personalization > Own theme) are not actually bringing themes from those categories, but just bringing search results based on the search terms, pretty randomly.

* Instead:
  - We should have categories mapped to actual categories of firefox themes
  - The results should be brought based on some criteria like download number
  - We should have more categories. Firefox themes have these categories: Abstract, Causes, Fashion, Film and TV, Firefox, Foxkeh, Holiday, Music, Nature, Other, Scenery, Seasonal, Solid, Sports, Websites

* Maybe we can use a dropdown list, instead of buttons, for categories.

* And we should also consider that most downloaded themes from some categories might not be safe for work. (See the fashion category)

* Firefox themes main page: https://addons.mozilla.org/en-US/firefox/themes/
Comment 1 Heiko Tietze 2018-10-11 11:57:02 UTC
(In reply to Muhammet Kara from comment #0)
>   - We should have categories mapped to actual categories of firefox themes
That would be:
* Abstract, Causes, Fashion, Film and TV, Firefox, Foxkeh, Holiday, Music, Nature
Other, Scenery, Seasonal, Solid, Sports, Websites

FF apparently doesn't love this categories as there is another sorting afterwards by
* Top Rate, Trending

>   - The results should be brought based on some criteria like download number
Sort by #downloads, rating, date, author, etc. are definitely nice

>   - We should have more categories. Firefox themes have these categories:
Same as above
 
> * Maybe we can use a dropdown list, instead of buttons, for categories.
This question could be answered when we decided what to do.
 
> * And we should also consider that most downloaded themes from some
> categories might not be safe for work. (See the fashion category)
Fashion is NSFW? Hard to believe that FF can use things where LibO doesn't.


My take is to not use categories at all but provide the search function. If the user searches for "music" the result could be the same as clicking on the category.
Comment 2 Muhammet Kara 2018-10-11 12:26:04 UTC
> My take is to not use categories at all but provide the search function. If
> the user searches for "music" the result could be the same as clicking on
> the category.

Not exactly. That's the point of this bug report.

Currently the buttons just run search queries like you described, but they don't necessarily bring results from those categories. It is just a keyword search. IMHO, if we are calling them categories they should bring results from actual categories.
Comment 3 Heiko Tietze 2018-10-11 15:29:34 UTC
(In reply to Muhammet Kara from comment #2)
> Currently the buttons just run search queries like you described...

And I suggest to remove the buttons and have only the edit field to search
Comment 4 Muhammet Kara 2018-10-11 19:39:01 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to Muhammet Kara from comment #2)
> > Currently the buttons just run search queries like you described...
> 
> And I suggest to remove the buttons and have only the edit field to search

Oh, I see. That's a different topic. This was about fixing the current mismatch in the behaviour.

Let's discuss that in the next meeting then? (Maybe starting with the question of Why?)

I think categories are good for giving people choices.
Comment 5 Thomas Lendo 2018-10-16 19:20:36 UTC
I prefer predefined categories that users can easily select. Users mostly don't know how or what to search for. So this would ease the use of Firefox themes.

How these categories are presented is a detail for that I've no idea. The existing button concept is good for few categories and easy to use. But this doesn't work anymore when having two levels of search fine-adjustment -- first categories and then rating, date, whatever.
Comment 6 Muhammet Kara 2018-10-17 20:02:06 UTC
From UX/design meeting 2018-Oct-17:
* Persona categories are not actual categories (Options)
   + https://bugs.documentfoundation.org/show_bug.cgi?id=120475
   + drop categories and provide search only (Heiko)
   + keep categories to offer some ideas where to start (Muhammet, Thomas, Cor)
   => go with a dropdown that lists all categories from Mozilla
Comment 7 Thomas Lendo 2018-10-20 22:33:22 UTC
(In reply to Muhammet Kara from comment #6)
> From UX/design meeting 2018-Oct-17:
> * Persona categories are not actual categories (Options)
>    + https://bugs.documentfoundation.org/show_bug.cgi?id=120475
>    + drop categories and provide search only (Heiko)
>    + keep categories to offer some ideas where to start (Muhammet, Thomas,
> Cor)
>    => go with a dropdown that lists all categories from Mozilla
Just for the record: I don't like dropdown lists as long as the options for the user are so few that another way to present them is possible. If the items in the dropdown list can be implemented in another way (e.g. as buttons as today if the quantity of items allows that) then I prefer this instead of using a dropdown list.
Comment 8 Commit Notification 2018-10-23 10:33:26 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c18395d56fe56db375a10592fe2702fa1e700fd

tdf#120475: Sync persona categories with Mozilla

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.